Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## avrora.sim.mcu
Class Timer8Bit

    java.lang.Object
      avrora.sim.mcu.AtmelInternalDevice
          avrora.sim.mcu.Timer8Bit

Direct Known Subclasses:
  ATMegaFamily.Timer0, ATMegaFamily.Timer2

public abstract class Timer8Bit
extends AtmelInternalDevice

Base class of 8-bit timers. Timer0 and Timer2 are subclasses of this.

Nested Class Summary
`protected class` | `Timer8Bit.BufferedRegister` `BufferedRegister` implements a register with a write buffer.
`protected class` | `Timer8Bit.ControlRegister`
`protected class` | `Timer8Bit.TCNTnRegister` Overloads the write behavior of this class of register in order to implement compare match blocking for one timer period.
`protected class` | `Timer8Bit.Ticker` The `Ticker implements the periodic behavior of the timer.`

Field Summary
`static int` | `BOTTOM`
`protected Clock` | `externalClock`
`static int` | `MAX`
`static int` | `MODE_CTC`
`static int` | `MODE_FASTPWM`
`static int` | `MODE_NORMAL`
`static int` | `MODE_PWM`
`protected ATMegaFamily.FlagRegister` | `TIFR_reg`
`protected Clock` | `timerClock`
`protected ATMegaFamily.MaskRegister` | `TIMSK_reg`

Fields inherited from class avrora.sim.mcu.AtmelInternalDevice
`devicePrinter, interpreter, mainClock, microcontroller, name, simulator`

Constructor Summary
`protected` | `Timer8Bit(AtmelMicrocontroller m, int n, int OCIEn, int TOIEn, int OCFn, int TOVn, int[] periods)`

Method Summary
`protected void` | `compareMatch()`
`protected void` | `overflow()`

Methods inherited from class avrora.sim.mcu.AtmelInternalDevice
`getClock, getIORegs, installIOReg, read16, write16`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_NORMAL

    public static final int MODE_NORMAL

See Also:
  Constant Field Values

### MODE_PWM

    public static final int MODE_PWM

See Also:
  Constant Field Values

### MODE_CTC

    public static final int MODE_CTC

See Also:
  Constant Field Values

### MODE_FASTPWM

    public static final int MODE_FASTPWM

See Also:
  Constant Field Values

### MAX

    public static final int MAX

See Also:
  Constant Field Values

### BOTTOM

    public static final int BOTTOM

See Also:
  Constant Field Values

### externalClock

    protected final Clock externalClock

### timerClock

    protected Clock timerClock

### TIFR_reg

    protected ATMegaFamily.FlagRegister TIFR_reg

### TIMSK_reg

    protected ATMegaFamily.MaskRegister TIMSK_reg

Constructor Detail

### Timer8Bit

    protected Timer8Bit(AtmelMicrocontroller m,
                        int n,
                        int OCIEn,
                        int TOIEn,
                        int OCFn,
                        int TOVn,
                        int[] periods)

Method Detail

### compareMatch

    protected void compareMatch()

### overflow

    protected void overflow()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD